Skip to main content
`Ctrl`+`K`

# smallpond.execution.task.TaskRuntimeId

class smallpond.execution.task.TaskRuntimeId(id: TaskId, epoch: int, retry: int)

  A unique identifier for a task at runtime.

  Besides the task id, it also includes the epoch and retry count.

  __init__(id: TaskId, epoch: int, retry: int) → None

  Methods

  `__init__`(id, epoch, retry) |

  Attributes

  `id` |
  `epoch` |
  `retry` | How many times the task has been retried.